/* global jQuery, objGFCCGA */
/* exported isNumber */

(function ($) {
    "use strict";
    $(function () {

        $(document).on("click", "#GFCCGA_save_config", function () {
            $(".GFCCGA_errmsg").hide();
            $(".GFCCGA_successmsg").hide();

            disableButton("GFCCGA_save_config");

            var GFCCGAWPFormID = $("#GFCCGA_wp_form_id").val().trim();
            var GFCCGAWPFormIDReg = $("#GFCCGA_wp_form_id_Reg").val().trim();
            var GFCCGACouponFieldID = $("#GFCCGA_coupon_field_id").val().trim();
            var GFCCGACouponLength = $("#GFCCGA_coupon_length").val().trim();
            var GFCCGADiscountType = $("#GFCCGA_discount_type option:selected").val().trim();
            var GFCCGADiscountAmount = $("#GFCCGA_discount_amount").val().trim();
            var GFCCGAMaxUsage = $("#GFCCGA_max_usage").val().trim();
            var GFCCGAMinPrice = $("#GFCCGA_min_price").val().trim();
            

            if (GFCCGAWPFormID === "" || GFCCGAWPFormID === null) {
                window.alert("Please provide coupon generate form ID");
                $("#GFCCGA_wp_form_id").focus();
                enableButton("GFCCGA_save_config");
                return false;
            } else if (GFCCGAWPFormIDReg === "" || GFCCGAWPFormIDReg === null) {
                window.alert("Please provide coupon usage form ID");
                $("#GFCCGA_wp_form_id_Reg").focus();
                enableButton("GFCCGA_save_config");
                return false;
            } else if (GFCCGACouponFieldID === "" || GFCCGACouponFieldID === null) {
                window.alert("Please provide coupon field ID");
                $("#GFCCGA_coupon_field_id").focus();
                enableButton("GFCCGA_save_config");
                return false;
            } else if (GFCCGACouponLength === "" || GFCCGACouponLength === null) {
                window.alert("Please provide Coupon Length");
                $("#GFCCGA_coupon_length").focus();
                enableButton("GFCCGA_save_config");
                return false;
            } else if (GFCCGADiscountType === "" || GFCCGADiscountType === null) {
                window.alert("Please provide Discount Type");
                $("#GFCCGA_discount_type").focus();
                enableButton("GFCCGA_save_config");
                return false;
            } else if (GFCCGADiscountAmount === "" || GFCCGADiscountAmount === null) {
                window.alert("Please provide Discount Amount");
                $("#GFCCGA_discount_amount").focus();
                enableButton("GFCCGA_save_config");
                return false;
            } else if (GFCCGAMaxUsage === "" || GFCCGAMaxUsage === null) {
                window.alert("Please provide Max Usage");
                $("#GFCCGA_max_usage").focus();
                enableButton("GFCCGA_save_config");
                return false;
            } else if (GFCCGAMinPrice === "" || GFCCGAMinPrice === null) {
                window.alert("Please provide Min Price");
                $("#GFCCGA_min_price").focus();
                enableButton("GFCCGA_save_config");
                return false;
            }

            var data = {};
            data.action = "GFCCGA_save_wp_detail";
            data.GFCCGA_wp_form_id = GFCCGAWPFormID;
            data.GFCCGA_wp_form_id_Reg = GFCCGAWPFormIDReg;
            data.GFCCGA_coupon_field_id = GFCCGACouponFieldID;
            data.GFCCGA_nonce = $("#GFCCGA_nonce").val();
            data.GFCCGA_coupon_length = GFCCGACouponLength;
            data.GFCCGA_discount_type = GFCCGADiscountType;
            data.GFCCGA_discount_amount = GFCCGADiscountAmount;
            data.GFCCGA_max_usage = GFCCGAMaxUsage;
            data.GFCCGA_min_price = GFCCGAMinPrice;

            $(".loader-section").show();
            $.post(objGFCCGA.ajaxurl, data, function (response) {
                $(".loader-section").hide();
                if (response.status === "Y") {
                    enableButton("GFCCGA_save_config");
                    $(".GFCCGA_successmsg").show();
                    $(".GFCCGA_successmsg").html(response.message);
                } else {
                    enableButton("GFCCGA_save_config");
                    $(".GFCCGA_errmsg").show();
                    $(".GFCCGA_errmsg").html(response.message);
                }
            });

            return false;
        });
    });
})(jQuery);

function isNumber(evt) {
    evt = evt ? evt : window.event;
    var charCode = evt.which ? evt.which : evt.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57)) {
        return false;
    }
    return true;
}

function disableButton(ID) {
    document.getElementById(ID).disabled = true;
    document.getElementById(ID).style.cursor = "not-allowed";
    document.getElementsByClassName('loader-section')[0].style.display = "block";
}

function enableButton(ID) {
    document.getElementById(ID).disabled = false;
    document.getElementById(ID).style.cursor = "pointer";
    document.getElementsByClassName('loader-section')[0].style.display = "none";
}