<?php
if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
    exit(esc_html__('Please don\'t access this file directly.', 'GFCCGA'));
}

// Define options/constants for GF Coupons
define( 'GFCCGA_CC_FORM_ID', get_option('GFCCGA_WP_FORM_ID') ); // The ID of the form (integer)
define( 'GFCCGA_CC_FORM_ID_REG', get_option('GFCCGA_WP_FORM_ID_REG') ); // The ID of the form (integer)
define( 'GFCCGA_CC_SOURCE_FIELD_ID', get_option('GFCCGA_COUPON_FIELD_ID') );  // The ID of the form field holding the code (integer)
define( 'GFCCGA_CC_CODE_LENGTH', get_option('GFCCGA_COUPON_LENGTH') ); // Length of code (integer)
define( 'GFCCGA_CC_CODE_CHARS', '1234567890QWERTYUIOPASDFGHJKLZXCVBNM' ); // Available character for the code; default 0-9 and uppercase letters (string)
define( 'GFCCGA_CC_CODE_PREFIX', '' ); // Custom prefix for the code (string); default empty
define( 'GFCCGA_CC_DISCOUNT_TYPE', get_option('GFCCGA_DISCOUNT_TYPE') ); // 'flat' or 'percentage' (string)
define( 'GFCCGA_CC_DISCOUNT_AMOUNT', get_option('GFCCGA_DISCOUNT_AMOUNT') ); // Value of discount (integer); $ if 'type' is 'flat' and % if 'type' is 'percentage'
define( 'GFCCGA_CC_MAX_USES', get_option('GFCCGA_MAX_USAGE') ); // Maximum number of uses per customer (integer)
define( 'GFCCGA_CC_MIN_PRICE', get_option('GFCCGA_MIN_PRICE') ); // Minimum price for discount to apply (integer); default none
define( 'GFCCGA_CC_PRODUCT_REQS', '' ); // A comma-separated list of product IDs (string) the coupons apply to
define( 'GFCCGA_CC_REQS_CONDITION', 'any' ); // How to apply the discount to those products (string); accepts 'any' (at least one product ID must be in the cart) or 'all' (all products must be in the cart)
define( 'GFCCGA_CC_SINGLE_USE', 'use_once' ); // Whether the coupons generated can be used more than once by a single customer; default is set to one-time usage but can be set to false (boolean) for allowing multiple uses
define( 'GFCCGA_CC_EXCLUDE_PRODUCTS', '' ); // A comma-separated list of product IDs (string) to exclude from discount-applicability
define( 'GFCCGA_CC_START_DATE', '' ); // Start date for the coupon (string); default empty
define( 'GFCCGA_CC_EXP_DATE', '' ); // Expiration date for the coupon (string); default empty